# ComponentMetadataListerDetails

interface ComponentMetadataListerDetails

Allows a custom version lister to specify the list of versions known for a specific module.

#### Since

4.9

## Functions

getModuleIdentifier
Link copied to clipboard
abstract fun getModuleIdentifier(): ModuleIdentifier
Gives access to the module identifier for which the version lister should return the list of versions.
listed
Link copied to clipboard
abstract fun listed(versions: List<String>)
List the versions of the requested component.